CVE-2019-7732

NameCVE-2019-7732
DescriptionIn Live555 0.95, a setup packet can cause a memory leak leading to DoS because, when there are multiple instances of a single field (username, realm, nonce, uri, or response), only the last instance can ever be freed.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
liblivemedia (PTS)jessie2014.01.13-1vulnerable
jessie (security)2014.01.13-1+deb8u3vulnerable
stretch (security), stretch2016.11.28-1+deb9u2vulnerable
bullseye, sid, buster2018.11.26-1.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
liblivemediasource(unstable)(unfixed)unimportant

Notes

[stretch] - liblivemedia <no-dsa> (Minor issue)
[jessie] - liblivemedia <no-dsa> (Minor issue, unlikely to be exploited in practice)
https://github.com/rgaufman/live555/issues/20
upstream considers this issue invalid: http://lists.live555.com/pipermail/live-devel/2019-May/021218.html

Search for package or bug name: Reporting problems